#ifndef AUDIO_H
#define AUDIO_H

#include "vsmpg.h"

struct audio_info_struct {
  u_int16 rate;
  u_int16 channels;
};
extern struct audio_info_struct __y ai;

auto void AudioSet(u_int16 ch, u_int16 r);
auto void AudioInit(void);

extern s_int16 (*applAddr)(s_int16 register __i0 **d,
			   s_int16 register __a1 mode,
			   s_int16 register __a0 n);

auto s_int16 Sine(register __a0 u_int16 ph);
s_int16 ISine(u_int16 ph);

#ifdef STANDALONE
#ifndef VS1053
extern s_int16 __y timeToRemovePDown2;
#endif

#ifdef USE_EARSPEAKER
extern __y s_int16 earSpeakerDisable;
extern __y u_int16 earSpeakerSetting;
extern __y u_int16 earSpeakerFreq;
/*IRAM Hook functions*/
auto void EarSpeakerInit(u_int16 sampleRate, u_int16 rirri);
auto s_int16 EarSpeakerProcess(s_int16 *inSamp, s_int16 *outSamp, s_int16 n);
#endif/*USE_EARSPEAKER*/

#endif/*STANDALONE*/

#endif
