#ifndef COMMON_H
#define COMMON_H

#include <vstypes.h>

/* Return 0 if format was not detected. */
s_int16 UserAudioFormats(register __reg_d u_int32 head); /* at 0x34 for VS1063 */
u_int32 UserCheckTag(register __reg_d u_int32 head); /* at 0x36 for VS1063 */
s_int16 CheckAudioFormats(register __reg_d u_int32 head);
auto s_int16 HeaderCompatibility(u_int32 old, u_int32 new);

#ifdef USE_VORBIS
void VorbisEntry(void);
#endif/*USE_VORBIS*/
#ifdef USE_FLAC
void FlacEntry(void);
#endif/*USE_VORBIS*/
#ifndef VS1003
s_int16 FastForwardSkipFrame(void); /* returns 1 if should skip a frame */
#endif /*!VS1003*/
auto void DecodeTime(register __a0 u_int16 samples,
		     register __a1 u_int16 limit,
		     register __reg_b s_int32 bytes /*negative to disable HDAT0*/);
auto void DecodeTimeClear(void);
void ChangeWmaClock(register s_int16 *cnt);
void RealTimeMidi(void); /* in IROM4 */
#if defined(USE_AAC) && defined(__VSDSP__) && defined(STANDALONE)
extern s_int16 underflowTimeout;
#endif

#endif
