#ifndef __I2C_H__
#define __I2C_H__

#define I2C_SCL_PIN_MASK (1 << 6)
#define I2C_SDA_PIN_MASK (1 << 4)

#ifndef ASM
#include <vstypes.h>
extern u_int16 i2cDelayLoops;
void I2CDelayFunction(void);
void I2C_SDA_HIGH(void);
void I2C_SDA_LOW(void);
void I2C_SCL_HIGH(void);
void I2C_SCL_LOW(void);

void I2C_START(void);
void I2C_STOP(void);

#endif/*!ASM*/

#endif /*!__I2C_H__*/
