#ifndef PCM_MIXER_H
#define PCM_MIXER_H

#include <vstypes.h>

#define PCM_FIFO_SIZE 512

#ifdef ASM
#else
/** Check PCM Mixer status to enable/disable and calculate new volume. */
void PcmMixerCheck(void);
/** Write sample to PCM fifo. */
void PcmMixerWrite(register __c0 s_int16 sample);
extern __y u_int16 pcmMixerEnabled;
extern __y u_int16 adMixerEnabled;
#endif /*elseASM*/

#endif/*PCM_MIXER_H*/
