#ifndef VSMPG_H
#define VSMPG_H

#include <vstypes.h>

#if 1
#define NO_STANDALONE_PRINTING
#endif

#ifndef ASM
#if defined STANDALONE && defined NO_STANDALONE_PRINTING
//typedef void FILE;
#include <stdio.h>
#define NULL 0
#else
#include <stdio.h>
#include <stdlib.h>
#include <limits.h>
#endif
#endif /*!ASM*/


#ifndef __VSDSP__

#define memsetY memset

#define __a
#define __b
#define __c
#define __d

#define __x
#define __y

#define __a0
#define __a1
#define __b0
#define __b1
#define __c0
#define __c1
#define __d0
#define __d1
#define __i0
#define __i1
#define __i2
#define __i3

#define auto

#else /*!__VSDSP__*/

#endif


#ifdef STANDALONE

#ifndef ASM

#ifdef NO_STANDALONE_PRINTING
//#define puts(s)
//#define putchar(c)
//#define perror(s)
void exit(register __a0 int);
#endif

#endif/*!ASM*/

#endif/*STANDALONE*/

#ifdef __VSMPG__
#define TEST_ENDIAN 1
#else
#define TEST_ENDIAN 0
#endif /*__VSMPG__*/


#ifndef ASM
//typedef short s_int16;
//typedef unsigned short u_int16;
//typedef long s_int32;
//typedef unsigned long u_int32;
#ifdef __VSDSP__
//typedef long s_int40;	/* Danger: only works on reg variables */
//typedef __fract s_int16 f_int16;
//typedef __fract s_int32 f_int32;
typedef unsigned char byte;
#else
typedef long long s_int40;	/* Danger: only works on reg variables */
typedef unsigned char byte;
#endif


#include "audio.h"

#ifdef __GNUC__
#define INLINE inline
#else
#define INLINE
#endif


#define         FALSE                   0
#define         TRUE                    1

#define         MAX_NAME_SIZE           81

/* For Application, general.c/h */

#define APPL_RESET	 0
#define APPL_AUDIO	 1
#define APPL_W0		 2
#define APPL_W1		 3
#define APPL_W2		 4
#define APPL_W3		 5
#define APPL_R0		 6
#define APPL_R1		 7
#define APPL_R2		 8
#define APPL_R3		 9
#define APPL_BITSTREAM	10
#define APPL_OUT_OF_DATA 11


auto s_int16 wav_open(const char *wavfilename);
auto s_int16 wav_write(void);
#ifdef STANDALONE
auto s_int16 WmaStereoCopy(s_int16 *p, s_int16 samples);
/** Note: p must have space for 2*samples samples. */
auto s_int16 OutputMonoSamples(s_int16 *p, s_int16 samples);
#else
//#define ALWAYS_TWO_CHANNELS
auto s_int16 wav_close(void);
#endif

auto void InitCommon(void);


extern s_int16 __y const micFilt[];
extern s_int16 __y const micFiltHP[];

#ifndef VS1003
extern __y s_int16 _common_y_3136[3072+64];
#endif

extern const u_int16 fontPtrs[];
extern const u_int16 fontData[];
extern const u_int16 fontLatin1[];
#endif/*!ASM*/

#endif
